## ecryptfs-utils 100

=== debian/changelog ===
ecryptfs-utils (100-0ubuntu1.1) quantal-proposed; urgency=low

  * Fix encrypted home/private race condition that could result in encrypted
    filenames not being decrypted, despite the directory being mounted
    correctly otherwise. (LP: #1052038)
    - debian/patches/fix-private-mount-race.patch: Fix race condition by only
      opening the signature file once, rather than opening, reading, and
      closing it for each key signature.

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 04 Dec 2012 14:12:27 -0600

ecryptfs-utils (100-0ubuntu1) quantal; urgency=low

  [ Tyler Hicks ]
  * src/pam_ecryptfs/pam_ecryptfs.c, src/libecryptfs/key_management.c:
      LP: #1024476
    - fix regression introduced in ecryptfs-utils-99 when Encrypted
      Home/Private is in use and the eCryptfs kernel code is compiled as a
      module
    - drop check for kernel filename encryption support in pam_ecryptfs, as
      appropriate privileges to load the eCryptfs kernel module may not be
      available and filename encryption has been supported since 2.6.29
    - always add filename encryption key to the kernel keyring from pam mount

  [ Colin King ]
  * tests/kernel/inode-race-stat/test.c:
    - limit number of forks based on fd limits
  * tests/kernel/enospc.sh, tests/kernel/enospc/test.c,
    tests/kernel/Makefile.am, tests/kernel/tests.rc:
    - add test case for ENOSPC

  [ Tim Harder ]
  * m4/ac_python_devel.m4: LP: #1029217
    - properly save and restore CPPFLAGS and LIBS when python support is
      enabled

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 02 Aug 2012 16:33:55 -0500

ecryptfs-utils (99) quantal; urgency=low

  [ Dustin Kirkland ]
  * debian/ecryptfs-utils.postinst: LP: #936093
    - ensure desktop file is executable

  [ Wesley Wiedenmeier ]
  * src/utils/mount.ecryptfs.c: LP: #329264
    - remove old hack, that worked around a temporary kernel regression;
      ensure that all mount memory is mlocked

  [ Sebastian Krahmer ]
  * src/pam_ecryptfs/pam_ecryptfs.c: LP: #732614
    - drop group privileges in the same places that user privileges are
      dropped
    - check return status of setresuid() calls and return if they fail
    - drop privileges before checking for the existence of
      ~/.ecryptfs/auto-mount to prevent possible file existence leakage
      by a symlink to a path that typically would not be searchable by
      the user
    - drop privileges before reading salt from the rc file to prevent the
      leakage of root's salt and, more importantly, using the incorrect salt
    - discovered, independently, by Vasiliy Kulikov and Sebastian Krahmer
  * src/pam_ecryptfs/pam_ecryptfs.c: LP: #1020904
    - after dropping privileges, clear the environment before executing the
      private eCryptfs mount helper
    - discovered by Sebastian Krahmer
  * src/utils/mount.ecryptfs_private.c: LP: #1020904
    - do not allow private eCryptfs mount aliases to contain ".." characters
      as a preventative measure against a crafted file path being used as an
      alias
    - force the MS_NOSUID mount flag to protect against user controlled lower
      filesystems, such as an auto mounted USB drive, that may contain a
      setuid-root binary
      + CVE-2012-3409
    - force the MS_NODEV mount flag
    - after dropping privileges, clear the environment before executing umount
    - discovered by Sebastian Krahmer

  [ Tyler Hicks ]
  * src/libecryptfs/key_management.c: LP: #732614
    - zero statically declared buffers to prevent the leakage of stack
      contents in the case of a short file read
    - discovered by Vasiliy Kulikov
  * src/libecryptfs/module_mgr.c, src/pam_ecryptfs/pam_ecryptfs.c:
    - fix compiler warnings

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 13 Jul 2012 11:21:53 -0500

ecryptfs-utils (98) quantal; urgency=low

  [ Dustin Kirkland ]
  * debian/ecryptfs-utils.prerm:
    - drop the pre-removal ERRORs down to WARNINGs
    - these have caused a ton of trouble;  whatever is causing ecryptfs-utils
      to be marked for removal should be fixed;  but ecryptfs exiting 1 seems
      to be causing more trouble than it's worth
    - LP: #871021, #812270, #988960, #990630, #995381, #1010961
  * doc/ecryptfs-faq.html:
    - update the frequently asked questions, which haven't seen much
      attention in a while now
    - drop a few references to sourceforge
  * doc/ecryptfs-pam-doc.txt, doc/manpage/fr/ecryptfs-add-passphrase.1,
    doc/manpage/fr/ecryptfs-generate-tpm-key.1, doc/manpage/fr/ecryptfs-
    insert-wrapped-passphrase-into-keyring.1, doc/manpage/fr/ecryptfs-
    mount-private.1, doc/manpage/fr/ecryptfs-rewrap-passphrase.1,
    doc/manpage/fr/ecryptfs-setup-private.1, doc/manpage/fr/ecryptfs-
    umount-private.1, doc/manpage/fr/ecryptfs-unwrap-passphrase.1,
    doc/manpage/fr/ecryptfs-wrap-passphrase.1, doc/manpage/fr/ecryptfs-
    zombie-kill.1, doc/manpage/fr/ecryptfs-zombie-list.1,
    doc/sourceforge_webpage/ecryptfs-article.pdf,
    doc/sourceforge_webpage/ecryptfs_design_doc_v0_1.pdf,
    doc/sourceforge_webpage/ecryptfs-faq.html,
    doc/sourceforge_webpage/ecryptfs-key-diagram-356.png,
    doc/sourceforge_webpage/ecryptfs-key-diagram-640.png,
    doc/sourceforge_webpage/ecryptfs-pageuptodate-call-graph.png,
    doc/sourceforge_webpage/ecryptfs-pam-doc.txt,
    doc/sourceforge_webpage/ecryptfs.pdf,
    doc/sourceforge_webpage/index.html, doc/sourceforge_webpage/README,
    === removed directory doc/manpage/fr, === removed directory
    doc/sourceforge_webpage, rpm/ecryptfs-utils.spec:
    - remove some deprecated documentation
    - fish it out of bzr, if we ever need it again, but let's
      quit publishing it in our release tarballs

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 24 Jun 2012 11:41:27 -0500

ecryptfs-utils (97) quantal; urgency=low

  [ Kees Cook ]
  * src/pam_ecryptfs/pam_ecryptfs.c: LP: #938326
    - exit, rather than return to prevent duplicate processes

  [ Andreas Raster ]
  * src/desktop/ecryptfs-find:

