## ecryptfs-utils 103

=== debian/changelog ===
ecryptfs-utils (103-5) unstable; urgency=medium

  * Backport fix for upstream mistake in CVE-2014-9687.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Mar 2015 06:16:10 +0000

ecryptfs-utils (103-4) unstable; urgency=high

  * Backport upstream fix for CVE-2014-9687 (closes: #780385).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 20 Mar 2015 21:08:39 +0000

ecryptfs-utils (103-3) unstable; urgency=low

  * New maintainer (closes: #723595).
  * Enable hardening build (closes: #681207).
  * Minor packaging changes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Sep 2013 08:35:05 +0000

ecryptfs-utils (103-2) unstable; urgency=low

  * Taking over with maintainer's consent.

 -- Luk Claes <luk@debian.org>  Tue, 26 Mar 2013 07:53:58 +0100

ecryptfs-utils (103-1) unstable; urgency=low

  * Merging upstream version 103.
  * Updating years in copyright.
  * Dropping dpkg-source compression levels.
  * Dropping pre-wheezy conflicts/replaces.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 09 Feb 2013 08:07:34 +0100

ecryptfs-utils (101-1) unstable; urgency=low

  * Merging upstream version 101.
  * Updating to standards version 3.9.4.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 10 Dec 2012 11:59:25 +0100

ecryptfs-utils (100-1) unstable; urgency=low

  * Merging upstream version 100.
  * Building with unconditional multiarch support for debian-
    jessie/wheezy-backports.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 24 Sep 2012 17:05:27 +0200
