## ecryptfs-utils 104

=== debian/changelog ===
ecryptfs-utils (104-0ubuntu1) trusty; urgency=low

  [ Colin King ]
  * src/libecryptfs/ecryptfs-stat.c, tests/kernel/extend-file-
    random/test.c, tests/kernel/inode-race-stat/test.c,
    tests/kernel/trunc-file/test.c:
    - Fixed some 32 bit build warnings
  * src/libecryptfs/decision_graph.c, src/libecryptfs/key_management.c,
    src/libecryptfs/main.c, src/libecryptfs/module_mgr.c, src/utils/io.c,
    src/utils/mount.ecryptfs_private.c, tests/kernel/inotify/test.c,
    tests/kernel/trunc-file/test.c, tests/userspace/wrap-unwrap/test.c:
    - Fixed a pile of minor bugs (memory leaks, unclosed file descriptors,
      etc.) mostly in error paths
  * src/key_mod/ecryptfs_key_mod_passphrase.c, src/libecryptfs/main.c,
    src/pam_ecryptfs/pam_ecryptfs.c:
    - more Coverity fixes, memory leak, error checking, etc.

  [ Nobuto MURATA ]
  * fix an empty update-notifier window (LP: #1107650)
    - changes made in Rev.758 was incomplete

  [ Tyler Hicks ]
  * doc/manpage/ecryptfs.7:
    - adjust man page text to avoid confusion about whether the interactive
      mount helper takes a capital 'N' for the answer to y/n questions
      (LP: #1130460)
  * src/utils/ecryptfs_rewrap_passphrase.c:
    - Handle errors when interactively reading the new wrapping passphrase
      and the confirmation from stdin. Fixes a segfault (invalid memory read)
      in ecryptfs-rewrap-passphrase if there was an error while reading either
      of these passphrases.
  * configure.ac:
    - Set AM_CPPFLAGS to always include config.h as the first include file.
      Some .c files correctly included config.h before anything else. The
      majority of .c files got this wrong by including it after other header
      files, including it multiple times, or not including it at all.
      Including it in the AM_CPPFLAGS should solve these problems and keep
      future mistakes from happening in new source files.
    - Enable large file support (LFS) through the use of the AC_SYS_LARGEFILE
      autoconf macro. ecryptfs-utils has been well tested with LFS enabled
      because ecryptfs-utils is being built with
      '-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64' in Debian-based distros.
      This is mainly needed for some of the in-tree regression tests but
      ecryptfs-utils, in general, should be built with LFS enabled.
  * debian/rules:
    - Don't append '-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64' to the CFLAGS
      now that the upstream build enables LFS
  * tests/userspace/lfs.sh, tests/userspace/lfs/test.c:
    - Add a test to verify that LFS is enabled. This test is run under the
      make check target.
  * tests/kernel/enospc/test.c:
    - Fix test failures on 32 bit architectures due to large file sizes
      overflowing data types

  [ Dustin Kirkland ]
  * src/utils/ecryptfs-setup-swap: LP: #1172014
    - write crypttab entry using UUID
  * src/utils/ecryptfs-recover-private: LP: #1028532
    - error out, if we fail to mount the private data correctly

  [ Colin King and Dustin Kirkland ]
  * configure.ac, src/daemon/main.c, src/libecryptfs/cmd_ln_parser.c,
    src/libecryptfs/decision_graph.c, src/utils/mount.ecryptfs.c,
    tests/kernel/trunc-file/test.c:
    - remove some dead code, fix some minor issues raised by Coverity

 -- Nobuto MURATA <nobuto@ubuntu.com>  Thu, 21 Feb 2013 01:56:33 +0900

ecryptfs-utils (103) quantal; urgency=low

  [ Tyler Hicks ]
  * debian/rules:
    - Use dpkg-buildflags to inject distro compiler hardening flags into the
      build. This also fixes the hardening-no-fortify-functions lintian
      warnings.

  [ Dustin Kirkland ]
  * doc/manpage/ecryptfs-add-passphrase.1, doc/manpage/ecryptfsd.8,
    doc/manpage/ecryptfs-find.1, doc/manpage/ecryptfs-generate-tpm-
    key.1, doc/manpage/ecryptfs-insert-wrapped-passphrase-into-
    keyring.1, doc/manpage/ecryptfs-manager.8, doc/manpage/ecryptfs-
    migrate-home.8, doc/manpage/ecryptfs-mount-private.1,
    doc/manpage/ecryptfs-recover-private.1, doc/manpage/ecryptfs-rewrap-
    passphrase.1, doc/manpage/ecryptfs-rewrite-file.1,
    doc/manpage/ecryptfs-setup-private.1, doc/manpage/ecryptfs-setup-
    swap.1, doc/manpage/ecryptfs-stat.1, doc/manpage/ecryptfs-umount-
    private.1, doc/manpage/ecryptfs-unwrap-passphrase.1,
    doc/manpage/ecryptfs-verify.1, doc/manpage/ecryptfs-wrap-
    passphrase.1, doc/manpage/Makefile.am, doc/manpage/mount.ecryptfs.8,
    doc/manpage/mount.ecryptfs_private.1, doc/manpage/pam_ecryptfs.8,
    doc/manpage/umount.ecryptfs.8,
    doc/manpage/umount.ecryptfs_private.1, src/desktop/ecryptfs-find =>
    src/utils/ecryptfs-find, src/desktop/Makefile.am,
    src/utils/Makefile.am:
    - add 3 new manpages, for ecryptfs-find, ecryptfs-verify, and
      ecryptfs-migrate-home
    - Add SEE ALSO section to manpages which were missing it
    - Mention "Debian and Ubuntu" in license location
    - move the ecryptfs-find utility to the proper location in src/utils
  * src/utils/Makefile.am:
    - fix broken build
  * debian/ecryptfs-utils.links:
    - link no longer needed for ecryptfs-find

  [ Colin King ]
  * === added directory tests/kernel/mmap-bmap, === added directory
    tests/kernel/xattr, tests/kernel/link.sh, tests/kernel/Makefile.am,
    tests/kernel/mknod.sh, tests/kernel/mmap-bmap.sh, tests/kernel/mmap-
    bmap/test.c, tests/kernel/tests.rc, tests/kernel/xattr.sh,
    tests/kernel/xattr/test.c:
    - ran the current eCryptfs tests on 3.8-rc4 with kernel gcov enabled
      and spotted a few trivial areas where it would be useful to up the
      test coverage on the code
    - so here are a few very simple additional tests to exercise eCryptfs
      a little further

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 25 Jan 2013 12:57:51 -0600

ecryptfs-utils (102) quantal; urgency=low

  [ Dustin Kirkland ]
  * debian/control:
    - bump standards, no change

  [ Tyler Hicks ]
  * autogen.sh, scripts/release.sh, Makefile.am:

