=== debian/control ===
--- 
+++ 
@@ -5,11 +5,8 @@
 XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper (>= 8),
- autotools-dev,
- autoconf,
- automake,
+ dh-autoreconf,
  intltool,
- libtool,
  libgcrypt11-dev,
  libglib2.0-dev,
  libkeyutils-dev,
@@ -18,7 +15,7 @@
  pkg-config,
  python-dev,
  swig
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://ecryptfs.org/
 Vcs-Bzr: https://code.launchpad.net/~ecryptfs/ecryptfs/trunk
 Vcs-Browser: http://bazaar.launchpad.net/~ecryptfs/ecryptfs/trunk/files
