## ecryptfs-utils 106

=== debian/changelog ===
ecryptfs-utils (106-2) unstable; urgency=high

  * CVE-2016-1572: Refuse to mount over non-standard filesystems.
  * Use ${misc:Pre-Depends} instead of direct depends on multiarch-support.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Jan 2016 17:15:41 +0100

ecryptfs-utils (106-1) unstable; urgency=low

  * New upstream release.
  * Transition from libecryptfs0 to libecryptfs1 .
  * Remove unused libgcrypt11-dev build dependency (closes: #764927).
  * Remove bashism from the postinst of ecryptfs-utils .
  * Add watch file.
  * Put myself as the primary maintainer.
  * Update Standards-Version to 3.9.6 .

  [ Dustin Kirkland and Martin Pitt ]
  * debian/ecryptfs-utils.postinst: LP: #953875
    - detect and clean up after nonexisting cryptswap devices

  [ Fernando Seiti Furusato <ferseiti@br.ibm.com> ]
  * Use autoreconf instead of autotools-dev (closes: #751989).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 15 Jun 2015 15:50:05 +0000
