## ecryptfs-utils 107

=== debian/changelog ===
ecryptfs-utils (107-0ubuntu1) vivid; urgency=medium

  [ Dustin Kirkland ]
  * scripts/release.sh:
    - a few more release script improvements, build the source
      package for the Ubuntu development distro
  * debian/control:
    - build depend on distro-info, which we use in our release script
  * vivid

  [ Tyler Hicks ]
  * src/libecryptfs/key_management.c:
    - Fix a regression when reading version 1 wrapped passphrase files. A
      return code indicating success was always returned even when an error
      was encountered. The impact is low since the error situation is still
      caught when validating either the wrapping password's signature or the
      wrapped passphrase's signature. Thanks to László Böszörményi for
      catching this mistake.
    - Reject empty passphrases passed into ecryptfs_wrap_passphrase()
  * src/libecryptfs/main.c:
    - Reject empty wrapping passphrases passed into generate_passphrase_sig()

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 26 Mar 2015 18:02:29 -0500

ecryptfs-utils (106) utopic; urgency=medium

  [ Dustin Kirkland and Martin Pitt ]
  * debian/ecryptfs-utils.postinst: LP: #953875
    - detect and clean up after nonexisting cryptswap devices

  [ Tyler Hicks ]
  * tests/userspace/Makefile.am: Fix the 'make check' failure present in the
    ecryptfs-utils-105 release tarball. The failure was due to the automake
    file not specifying that some data files should be distributed as part
    of the v1-to-v2-wrapped-passphrase test, causing the test to fail due to
    the missing files.

  [ Dustin Kirkland ]
  * scripts/release.sh:
    - ensure that we try a binary build as part of the release process
    - make sure we're in the original working directory when we release
    - remove the -x option, too noisy

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 11 Mar 2015 18:38:12 -0500

ecryptfs-utils (105) utopic; urgency=low

  [ Dustin Kirkland ]
  * doc/manpage/ecryptfs.7: LP: #1267640
    - fix inconsistency in man page for passphrase_passwd_file format
  * doc/manpage/ecryptfs-setup-private.1, src/utils/ecryptfs-setup-
    private, src/utils/ecryptfs-setup-swap: LP: #1420424
    - use /dev/random rather than /dev/urandom for long lived keys
  * src/utils/ecryptfs-setup-private:
    - use /dev/urandom for our testing, as we read a lot of info
  * src/utils/ecryptfs-setup-swap: LP: #953875, #1086140
    - fix a whitespace bug in a grep, that might cause us to not
      comment out the old swap space in /etc/fstab
    - offset the start of the encrypted swap space by 1KB, which
      ensures that we don't overwrite the UUID label on the header
      of the partition
    - use the aes-xts block cipher, and plain64 initialization vector,
      which are current best practice here
    - fixed a grammar nitpick

  [ Colin King ]
  * src/libecryptfs/key_management.c, src/utils/mount.ecryptfs.c:
    - A couple of minor fixes: Fix a memory leak and handle out of memory
      error, as found by using cppcheck.
  * src/utils/mount.ecryptfs.c
    - fix potential double free on yesno if get_string_stdin exits early
      without allocating a new buffer and we free yesno on the exit clean
      up path.
  * src/libecryptfs/cmd_ln_parser.c
    - remove redundant if / goto statement that does nothing.

  [ Anders Kaseorg ]
  * src/pam_ecryptfs/pam_ecryptfs.c: exit (not return) from forked child on
    error (LP: #1323421)

  [ Tyler Hicks ]
  * Introduce the version 2 wrapped-passphrase file format. It adds the
    ability to combine a randomly generated salt with the wrapping password
    (typically, a user's login password) prior to performing key
    strengthening. The version 2 file format is considered to be a
    intermediate step in strengthening the wrapped-passphrase files of
    existing encrypted home/private users. Support for reading/writing version
    2 wrapped-passphrase files and transparent migration, through
    pam_ecryptfs, from version 1 to version 2 files is considered safe enough
    to backport to stable distro releases. The libecryptfs ABI around
    wrapped-passphrase file handling is not broken.
    - CVE-2014-9687
  * Run wrap-unwrap.sh test as part of the make check target.
  * Add a new test, called v1-to-v2-wrapped-passphrase.sh, which is suitable
    for the make check target and verifies v1 to v2 wrapped-passphrase file
    migration.
  * Create a temporary file when creating a new wrapped-passphrase file and
    copy it to its final destination after the file has been fully synced to
    disk (LP: #1020902)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 11 Mar 2015 10:34:03 -0500

ecryptfs-utils (104) saucy; urgency=low

  [ Colin King ]
  * src/libecryptfs/ecryptfs-stat.c, tests/kernel/extend-file-
    random/test.c, tests/kernel/inode-race-stat/test.c,
    tests/kernel/trunc-file/test.c:
    - Fixed some 32 bit build warnings
  * src/libecryptfs/decision_graph.c, src/libecryptfs/key_management.c,
    src/libecryptfs/main.c, src/libecryptfs/module_mgr.c, src/utils/io.c,
    src/utils/mount.ecryptfs_private.c, tests/kernel/inotify/test.c,
    tests/kernel/trunc-file/test.c, tests/userspace/wrap-unwrap/test.c:
    - Fixed a pile of minor bugs (memory leaks, unclosed file descriptors,
      etc.) mostly in error paths
  * src/key_mod/ecryptfs_key_mod_passphrase.c, src/libecryptfs/main.c,
    src/pam_ecryptfs/pam_ecryptfs.c:
    - more Coverity fixes, memory leak, error checking, etc.

  [ Nobuto MURATA ]
  * fix an empty update-notifier window (LP: #1107650)
    - changes made in Rev.758 was incomplete

  [ Tyler Hicks ]
  * doc/manpage/ecryptfs.7:
    - adjust man page text to avoid confusion about whether the interactive
      mount helper takes a capital 'N' for the answer to y/n questions
      (LP: #1130460)
  * src/utils/ecryptfs_rewrap_passphrase.c:
    - Handle errors when interactively reading the new wrapping passphrase
      and the confirmation from stdin. Fixes a segfault (invalid memory read)

