## ecryptfs-utils 111

=== debian/changelog ===
ecryptfs-utils (111-8) unstable; urgency=medium

  [ Sudip Mukherjee <sudipm.mukherjee@gmail.com> ]
  * d/p/fix-type.patch: use correct pointer type to fix FTBFS
    (closes: #1074931).

  [ Laszlo Boszormenyi (GCS) <gcs@debian.org> ]
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Mar 2025 08:00:26 +0100

ecryptfs-utils (111-7) unstable; urgency=medium

  * Use no for Rules-Requires-Root.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.2 .
  * Sync with Ubuntu.

  [ Chris Hofstaedtler <zeha@debian.org> ]
  * Install aliases files into /usr (DEP17 M2) (closes: #1060344).

  [ Matthias Klose <doko@ubuntu.com> ]
  * debian/patches/swapfile-support.patch: Fix swapfile support. (LP: #1670336)
  - src/utils/ecryptfs-setup-swap: revise script for a world with swapfiles.
  - src/utils/ecryptfs-setup-swap: make sure we can restart ecryptfs with
    systemd.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Jun 2024 09:05:28 +0200

ecryptfs-utils (111-6) unstable; urgency=medium

  [ Andreas Metzler <ametzler@bebt.de> ]
  * Use pkg-config to detect gpgme (closes: #1024478).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 19 Dec 2022 19:46:40 +0100

ecryptfs-utils (111-5) unstable; urgency=medium

  * Require pam_ecryptfs.so for Auth-Final (closes: #765854).
  * Suggest rsync for ecryptfs-migrate-home (closes: #884198).
  * Remove own compression option.
  * Update watch file.
  * Update Standards-Version to 4.5.0:
    - remove ecryptfs-utils-dbg package and use the auto-generated one.

  [ Moritz Mühlenhoff <jmm@inutil.org> ]
  * Remove python-ecrpyptfs bindings (closes: #936465).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 16 Jun 2020 21:31:59 +0200

ecryptfs-utils (111-4) unstable; urgency=medium

  * Correct _libecryptfs.so symlink in python-ecryptfs (closes: #857417).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Mar 2017 12:32:08 +0000

ecryptfs-utils (111-3) unstable; urgency=medium

  * Change build dependency to libgpgme-dev (closes: #846983).
  * Update copyright file.
  * Update debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 07 Dec 2016 15:07:48 +0000

ecryptfs-utils (111-2) unstable; urgency=low

  * Remove bashism from postinst of ecryptfs-utils .
  * Update python-ecryptfs lintian overrides.
  * Don't directly depend on libnss3 (closes: #834687).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 18 Aug 2016 03:49:05 +0000

ecryptfs-utils (111-1) unstable; urgency=high

  * New upstream release, fixes the following vulnerabilities:
    - CVE-2015-8946, ecryptfs-setup-swap improperly configures encrypted swap
      when using GPT partitioning,
    - CVE-2016-6224, ecryptfs-setup-swap improperly configured encrypted swap
      when using GPT partitioning on a NVMe or MMC drive.
  * Add check to prevent removal of ecryptfs-utils when it's still in use.
  * Make rebuildable.
  * Update Standards-Version to 3.9.8 .
  * Sync with Ubuntu.

  [ Dustin Kirkland ]
  * debian/control:
    - build depend on distro-info, which we use in our release script

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Jul 2016 18:39:59 +0000
