=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_CFLAGS_MAINT_APPEND = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gpg --enable-pam --enable-static --enable-tspi \
		--disable-gui --disable-openssl --disable-pkcs11-helper \
		--disable-pywrap --with-pamdir=/usr/lib/$(DEB_HOST_MULTIARCH)/security \
		CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	dh_auto_install

	install -D -m 0644 debian/local/ecryptfs-utils.pam-auth-update debian/ecryptfs-utils/usr/share/pam-configs/ecryptfs-utils

	# Adding kmod integration
	install -D -m 0644 debian/local/ecryptfs-utils.kmod debian/ecryptfs-utils/usr/lib/modules-load.d/ecryptfs.conf

	# Removing useless files
	rm -f debian/tmp/usr/lib/*/*.la

override_dh_fixperms:
	dh_fixperms

	chmod 4755 debian/ecryptfs-utils/usr/sbin/mount.ecryptfs_private

.PHONY: override_dh_autoreconf override_dh_auto_configure \
	override_dh_auto_install override_dh_fixperms
